Subject: RE: bug#72023: feature request for date(1): strptime-style format string when you don't want date to guess

From: <[email-masked]>
Date: Wed, 10 Jul 2024 11:59:14 +0000

Re: other dates: BSD date has this flag, and needs it, because it mostly refuses to guess.
Re: strptime... I didn't mean it has to literally be that function.
I just want some way to say what format the input is in.

-----Original Message-----
From: Paul Eggert <[email-masked]> 
Sent: Wednesday, July 10, 2024 6:45 AM
To: Yagnatinsky, Mark : IT (NYK) <[email-masked]>; [email-masked]
Subject: Re: bug#72023: feature request for date(1): strptime-style format string when you don't want date to guess

CAUTION: This email originated from outside our organisation - [email-masked] Do not click on links, open attachments, or respond unless you recognize the sender and can validate the content is safe.
I'm dubious. I've never had much luck with strptime, as in practice it has its own glitches that are even worse than what 'date' currently uses. For example, it's dicey in non-C locales, and it mishandles time zones and daylight saving transitions even in the C locale.

That being said, if someone can write the code and documentation and test cases it might be a good thing to have - particularly if some other 'date' implementation is already doing that sort of thing and people have had good experience with it.

This message is for information purposes only. It is not a recommendation, advice, offer or solicitation to buy or sell a product or service, nor an official confirmation of any transaction. It is directed at persons who are professionals and is intended for the recipient(s) only. It is not directed at retail customers. This message is subject to the terms at: https://www.ib.barclays/disclosures/web-and-email-disclaimer.html. 

For important disclosures, please see: https://www.ib.barclays/disclosures/sales-and-trading-disclaimer.html regarding marketing commentary from Barclays Sales and/or Trading desks, who are active market participants; https://www.ib.barclays/disclosures/barclays-global-markets-disclosures.html regarding our standard terms for Barclays Investment Bank where we trade with you in principal-to-principal wholesale markets transactions; and in respect to Barclays Research, including disclosures relating to specific issuers, see: https://publicresearch.barclays.com.
__________________________________________________________________________________ 
If you are incorporated or operating in Australia, read these important disclosures: https://www.ib.barclays/disclosures/important-disclosures-asia-pacific.html.
__________________________________________________________________________________
For more details about how we use personal information, see our privacy notice: https://www.ib.barclays/disclosures/personal-information-use.html. 
__________________________________________________________________________________